API reference
API reference
Every endpoint, with parameters, responses, examples and a console.
Every endpoint, grouped as in the sidebar. Each page has its parameters, responses, examples in cURL, JavaScript and Python, and a console for read endpoints. The whole API is also an OpenAPI 3.1 spec.
Coins
Registry
GET
/registryFollow the registry
GET/registry/{mint}Check one mint
POST/coins/checkCheck mints in bulk
Fee recipients
Accounts and payouts
Cash Payback
GET
/paybackGet the rules
GET/payback/coins/{mint}Get a Cash Payback coin
GET/payback/coins/{mint}/rounds/{n}Get a round
GET/payback/wallets/{owner}Get a wallet's rewards
Holder rewards
Platform
Launch on Solana
POST
/launchesCreate a launch
GET/launches/{id}Get a launch
POST/launches/{id}/submitSubmit a launch
POST/launches/{id}/splitGet fresh fee split transactions
POST/launches/{id}/split/confirmConfirm the fee split
Launch on EVM
GET
/evm/chainsList EVM chains
GET/evm/configsList pairings
POST/evm/quoteQuote a launch
POST/evm/launchesCreate an EVM launch
POST/evm/launches/{id}/submitSubmit an EVM launch
GET/evm/launches/{id}Get an EVM launch